summaryrefslogtreecommitdiff
path: root/source4/script/tests/test_ldap.sh
diff options
context:
space:
mode:
authorAndrew Tridgell <tridge@samba.org>2006-09-16 05:06:57 +0000
committerGerald (Jerry) Carter <jerry@samba.org>2007-10-10 14:18:50 -0500
commit768af9b576d06ffd3da1bd07bf95f283b7e001b2 (patch)
treefdcafd5eb27950a320d55c8345d7f3533c8762b3 /source4/script/tests/test_ldap.sh
parent158764412e81447ae57a476bc45183d5e8231ec5 (diff)
downloadsamba-768af9b576d06ffd3da1bd07bf95f283b7e001b2.tar.gz
samba-768af9b576d06ffd3da1bd07bf95f283b7e001b2.tar.bz2
samba-768af9b576d06ffd3da1bd07bf95f283b7e001b2.zip
r18577: reduce the number of tests run in 'make quicktest' again, so it
completes in a minute on my laptop (the benchmark I usually use). Simo, I removed th ldb tests, as ldb is pretty well tested by lots of the other tests, and its a pretty slow test. We could instead add a "ldb-testquick.sh" which does only minimal testing. The full tests will of course be run with 'make test' and in the build farm. (This used to be commit 3cee6a7863bba61c92f94087df5c6442f02a2da7)
Diffstat (limited to 'source4/script/tests/test_ldap.sh')
-rwxr-xr-xsource4/script/tests/test_ldap.sh10
1 files changed, 7 insertions, 3 deletions
diff --git a/source4/script/tests/test_ldap.sh b/source4/script/tests/test_ldap.sh
index 3c7fa3eb3d..204ac00d5a 100755
--- a/source4/script/tests/test_ldap.sh
+++ b/source4/script/tests/test_ldap.sh
@@ -84,9 +84,13 @@ done
testit "CLDAP" bin/smbtorture $TORTURE_OPTIONS //$SERVER/_none_ LDAP-CLDAP || failed=`expr $failed + 1`
-LDBDIR=lib/ldb
-export LDBDIR
-testit "ldb tests" $LDBDIR/tests/test-tdb.sh || failed=`expr $failed + 1`
+# only do the ldb tests when not in quick mode - they are quite slow, and ldb
+# is now pretty well tested by the rest of the quick tests anyway
+test "$TORTURE_QUICK" = "yes" || {
+ LDBDIR=lib/ldb
+ export LDBDIR
+ testit "ldb tests" $LDBDIR/tests/test-tdb.sh || failed=`expr $failed + 1`
+}
SCRIPTDIR=../testprogs/ejs